Subject: draft-ietf-pwe3-cw-00.txt - LAST CALL

From: Stewart Bryant <[email-masked]>
Date: Tue, 02 Nov 2004 01:04:26 +0000

This is the start of two week last call on

http://www.ietf.org/internet-drafts/draft-ietf-pwe3-cw-00.txt

Last call will finish on 16th November 2004

Stewart

---

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Tue, 2 Nov 2004 13:29:59 -0500

Stewart,

It seems premature to start the last call. The draft refers to a PW Associated Channel Type that is not defined yet.

Other nits:

- Paragraph 4 of section contains the text "Section Error! Reference source not found."

- Section 5 mentions "PW Associated Channel Type values 1 through 65535 are vendor-specific".  I think this should be 257 through 65535 

- Section 5 mentions "A PW Associated Channel Type of up to 65  characters is required for any assignment from this registry". How does this relate to the earlier statement that the PW Associated Channel Type is a 16-bit value?

Peter

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Monday, November 01, 2004 8:04 PM
> To: pwe3
> Subject: [PWE3] draft-ietf-pwe3-cw-00.txt - LAST CALL
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 02 Nov 2004 21:01:47 +0000

Busschbach, Peter B (Peter) wrote:

> Stewart,
> 
> It seems premature to start the last call. 

We do need to move this forward quickly, because it replaces text
that was removed from the arch draft that many other drafts
were referencing. i.e. it's a gate for a lot of otherwise complete
drafts that we need to get to the IESG.

> The draft refers to a PW Associated Channel Type that is not defined yet.

The only current PWE3 use for AC is VCCV, but you are right, we need
to define it.

> - Paragraph 4 of section contains the text "Section Error! Reference source not found."

That was a word error that crept past me in the -00 deadline.

> 
> - Section 5 mentions "PW Associated Channel Type values 1 through 65535 are 
> vendor-specific".  I think this should be 257 through 65535 
> 

Yes, and there is an earlier error so it should be

.... PW Associated Channel Type values 128
through 255 are to be assigned by IANA, using the "First Come First
Served" policy defined in RFC2434. PW Associated Channel Type values 
256 through 65535 are vendor-specific,

Are folks happy with the two block of 128, or should they be bigger?

> - Section 5 mentions "A PW Associated Channel Type of up to 65  characters is 
> required for any assignment from this registry". How does this relate to the 
> earlier statement that the PW Associated Channel Type is a 16-bit value?
> 

This means that when you request a value from IANA you must provide 
them with a 65 char text description to go in their registry. It's
not an on-the-wire value.

---

From: "Florin Balus" <[email-masked]>
Date: Sun, 7 Nov 2004 17:55:48 -0500

Stewart,Luca,

I understand the recommendation in section 2 of draft-ietf-pwe3-cw-00.txt -
"A PW carried over an MPLS PSN that uses the contents of the MPLS payload to
select the ECMP path SHOULD employ the PW Control Word described in Section
3 for data" - is directed to distinguish a PW payload from an "IP payload
carried over an MPLS PSN" - see also section 1 of the same document. 
 
draft-ietf-pwe3-control-protocol-12.txt - Section 4.6 (IP Layer2 Transport)
contains the statement: "The control word MUST NOT be used". It seems to me
that if we follow this recommendation for this specific type of PW, we will
run into the issue described in section 1 of draft-ietf-pwe3-cw-00.txt: i.e.
"The inability to ensure that all packets belonging to a PW follow the same
path also prevents the PW OAM [VCCV] mechanism from correctly monitoring the
PW."

Is it possible to remove the MUST from the above statement (or even better
all the text) from section 4.6 of draft-ietf-pwe3-control-protocol-12.txt?
Otherwise it looks to me like the 2 drafts are contradicting each other.
Regards,

Florin     

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Stewart Bryant

---

From: Shahram Davari <[email-masked]>
Date: Mon, 8 Nov 2004 08:00:50 -0800

Hi,
 
It is not clear what is the relationship between the Payload-Identifier defined in section 4.1 of http://www.ietf.org/internet-drafts/draft-ietf-pwe3-vccv-03.tx <http://www.ietf.org/internet-drafts/draft-ietf-pwe3-vccv-03.tx> , and the PW Associated Channel defined in this document. Do we still need the Payload-Identifier?
 
Thanks,
Shahram

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 08 Nov 2004 16:14:26 +0000

VCCV and CW are out of alignment.
There needs to be an update to VCCV to re-sync the drafts.

Note that the update can be made backwards compatible
by allocating Channel Type 0x21 to VCCV.

Stewart

Shahram Davari wrote:
> Hi,
>  
> It is not clear what is the relationship between the Payload-Identifier 
> defined in section 4.1 of 
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-vccv-03.tx, and the 
> PW Associated Channel defined in this document. Do we still need the 
> Payload-Identifier?
>  
> Thanks,
> Shahram

---

From: Shahram Davari <[email-masked]>
Date: Mon, 8 Nov 2004 11:18:17 -0800

Hi,
 
If "the control word MUST NOT be used" is left in the Control Protocol draft, based on the security section of the CW draft, the Associated Channel can't be used. This means only out-of band channel must be used for OAM, which can't guarantee OAM packets follow the same path as data.
 
Yours,
Shahram

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Florin Balus
Sent: Sunday, November 07, 2004 5:56 PM
To: Stewart Bryant; [email-masked]; pwe3
Subject: RE: [PWE3] draft-ietf-pwe3-cw-00.txt - LAST CALL

Stewart,Luca, 

I understand the recommendation in section 2 of draft-ietf-pwe3-cw-00.txt - "A PW carried over an MPLS PSN that uses the contents of the MPLS payload to select the ECMP path SHOULD employ the PW Control Word described in Section 3 for data" - is directed to distinguish a PW payload from an "IP payload carried over an MPLS PSN" - see also section 1 of the same document. 

draft-ietf-pwe3-control-protocol-12.txt - Section 4.6 (IP Layer2 Transport) contains the statement: "The control word MUST NOT be used". It seems to me that if we follow this recommendation for this specific type of PW, we will run into the issue described in section 1 of draft-ietf-pwe3-cw-00.txt: i.e. "The inability to ensure that all packets belonging to a PW follow the same path also prevents the PW OAM [VCCV] mechanism from correctly monitoring the PW."

Is it possible to remove the MUST from the above statement (or even better all the text) from section 4.6 of draft-ietf-pwe3-control-protocol-12.txt? Otherwise it looks to me like the 2 drafts are contradicting each other. Regards,

Florin     

> From: [email-masked] [ mailto:[email-masked] <mailto:[email-masked]> ] On 
> Behalf Of Stewart Bryant 
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-cw-00.txt <http://www.ietf.org/internet-drafts/draft-ietf-pwe3-cw-00.txt>  
> 
> https://www1.ietf.org/mailman/listinfo/pwe3 <https://www1.ietf.org/mailman/listinfo/pwe3>  
> 
>

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 08 Nov 2004 19:43:21 +0000

Shahram

You are correct. There is a problem with running 3032 as the PW encap 
and hence not using the CW, and also wanting to OAM the PW.

Stewart

Shahram Davari wrote:

> Hi,
>  
> If "the control word MUST NOT be used" is left in the Control Protocol 
> draft, based on the security section of the CW draft, the Associated 
> Channel can't be used. This means only out-of band channel must be used 
> for OAM, which can't guarantee OAM packets follow the same path as data.
>  
> Yours,
> Shahram
> 
>     I understand the recommendation in section 2 of
>     draft-ietf-pwe3-cw-00.txt - "A PW carried over an MPLS PSN that uses
>     the contents of the MPLS payload to select the ECMP path SHOULD
>     employ the PW Control Word described in Section 3 for data" - is
>     directed to distinguish a PW payload from an "IP payload carried
>     over an MPLS PSN" - see also section 1 of the same document.
> 
> 
>     draft-ietf-pwe3-control-protocol-12.txt - Section 4.6 (IP Layer2
>     Transport) contains the statement: "The control word MUST NOT be
>     used". It seems to me that if we follow this recommendation for this
>     specific type of PW, we will run into the issue described in section
>     1 of draft-ietf-pwe3-cw-00.txt: i.e. "The inability to ensure that
>     all packets belonging to a PW follow the same path also prevents the
>     PW OAM [VCCV] mechanism from correctly monitoring the PW."
> 
>     Is it possible to remove the MUST from the above statement (or even
>     better all the text) from section 4.6 of
>     draft-ietf-pwe3-control-protocol-12.txt? Otherwise it looks to me
>     like the 2 drafts are contradicting each other. Regards,
> 
>     Florin    
>

---

From: "Balus, Florin [CAR:6955:EXCH]" <[email-masked]>
Date: Sun, 7 Nov 2004 17:55:48 -0500

Stewart,Luca,

Florin